Get design autofill job
To use this API, your integration must act on behalf of a user who is a member of a Canva Enterprise(opens in a new tab or window) organization.
Users on Canva paid plans have access to a limited trial while your integration is under development. For more information, see Trial quotas.
Get the result of a design autofill job that was created using the Create design autofill job API.
You might need to make multiple requests to this endpoint until you get a success or failed status. For more information on the workflow for using asynchronous jobs, see API requests and responses.
HTTP method and URL path
https://api.canva.com /rest /v1 /autofills/{jobId}This operation is rate limited to 60 requests per minute for each user of your integration.
Authentication and authorization
This endpoint requires a valid access token that acts on behalf of a user.
Scopes
The access token must have all the following scopes (permissions):
design:meta:read
Header parameters
Path parameters
jobIdstringThe design autofill job ID.
Example request
Examples for using the /v1/autofills/{jobId} endpoint:
curl --request GET 'https://api.canva.com/rest/v1/autofills/{jobId}' \--header 'Authorization: Bearer {token}'
const fetch = require("node-fetch");fetch("https://api.canva.com/rest/v1/autofills/{jobId}", {method: "GET",headers: {"Authorization": "Bearer {token}",},}).then(async (response) => {const data = await response.json();console.log(data);}).catch(err => console.error(err));
import java.io.IOException;import java.net.URI;import java.net.http.*;public class ApiExample {public static void main(String[] args) throws IOException, InterruptedException {HttpRequest request = HttpRequest.newBuilder().uri(URI.create("https://api.canva.com/rest/v1/autofills/{jobId}")).header("Authorization", "Bearer {token}").method("GET", HttpRequest.BodyPublishers.noBody()).build();HttpResponse<String> response = HttpClient.newHttpClient().send(request,HttpResponse.BodyHandlers.ofString());System.out.println(response.body());}}
import requestsheaders = {"Authorization": "Bearer {token}"}response = requests.get("https://api.canva.com/rest/v1/autofills/{jobId}",headers=headers)print(response.json())
using System.Net.Http;var client = new HttpClient();var request = new HttpRequestMessage{Method = HttpMethod.Get,RequestUri = new Uri("https://api.canva.com/rest/v1/autofills/{jobId}"),Headers ={{ "Authorization", "Bearer {token}" },},};using (var response = await client.SendAsync(request)){response.EnsureSuccessStatusCode();var body = await response.Content.ReadAsStringAsync();Console.WriteLine(body);};
package mainimport ("fmt""io""net/http")func main() {url := "https://api.canva.com/rest/v1/autofills/{jobId}"req, _ := http.NewRequest("GET", url, nil)req.Header.Add("Authorization", "Bearer {token}")res, _ := http.DefaultClient.Do(req)defer res.Body.Close()body, _ := io.ReadAll(res.Body)fmt.Println(string(body))}
$curl = curl_init();curl_setopt_array($curl, array(CURLOPT_URL => "https://api.canva.com/rest/v1/autofills/{jobId}",CURLOPT_CUSTOMREQUEST => "GET",CURLOPT_RETURNTRANSFER => true,CURLOPT_HTTPHEADER => array('Authorization: Bearer {token}',),));$response = curl_exec($curl);$err = curl_error($curl);curl_close($curl);if (empty($err)) {echo $response;} else {echo "Error: " . $err;}
require 'net/http'require 'uri'url = URI('https://api.canva.com/rest/v1/autofills/{jobId}')http = Net::HTTP.new(url.host, url.port)http.use_ssl = truerequest = Net::HTTP::Get.new(url)request['Authorization'] = 'Bearer {token}'response = http.request(request)puts response.read_body
Success response
If successful, the endpoint returns a 200 response with a JSON body with the following parameters:
jobDesignAutofillJobDetails about the autofill job.
idstringID of the asynchronous job that is creating the design using the provided data.
statusstringStatus of the design autofill job.
Available values:
in_progresssuccessfailed
resultDesignAutofillJobResultResult of the design autofill job. Only present if job status is success.
Design has been created and saved to user's root folder.
typestringAvailable values: The only valid value is create_design.
designDesignSummaryBasic details about the design, such as the design's ID, title, and URL.
idstringThe design ID.
urlsDesignLinksA temporary set of URLs for viewing or editing the design.
edit_urlstringA temporary editing URL for the design. This URL is only accessible to the user that made the API request, and is designed to support return navigation workflows.
This is not a permanent URL, it is only valid for 30 days.
view_urlstringA temporary viewing URL for the design. This URL is only accessible to the user that made the API request, and is designed to support return navigation workflows.
This is not a permanent URL, it is only valid for 30 days.
created_atintegerWhen the design was created in Canva, as a Unix timestamp (in seconds since the Unix Epoch).
updated_atintegerWhen the design was last updated in Canva, as a Unix timestamp (in seconds since the Unix Epoch).
titlestringThe design title.
urlstringURL of the design.
thumbnailThumbnailA thumbnail image representing the object.
widthintegerThe width of the thumbnail image in pixels.
heightintegerThe height of the thumbnail image in pixels.
urlstringA URL for retrieving the thumbnail image. This URL expires after 15 minutes. This URL includes a query string that's required for retrieving the thumbnail.
page_countintegerThe total number of pages in the design. Some design types don't have pages (for example, Canva docs).
trial_informationAutofillTrialInformationTrials and trial information are a preview feature. There might be unannounced breaking changes to this feature which won't produce a new API version.
Trial information for non-enterprise users. Non-enterprise users have a limited number of autofill uses. Once the trial is exhausted, users must upgrade to Canva Enterprise(opens in a new tab or window) to continue using the Autofill API.
uses_remainingintegerThe number of uses remaining in the free trial.
upgrade_urlstringThe URL for a user to upgrade their Canva account to Canva Enterprise.
errorAutofillErrorIf the autofill job fails, this object provides details about the error.
codestringAvailable values:
autofill_error: The service encountered an error when autofilling your brand template.thumbnail_generation_error: The service encountered an error when generating a thumbnail for the autofilled design.create_design_error: The service encountered an error when saving the autofilled design.design_approval_error: The service encountered an error when applying design approval settings to the autofilled design.trial_quota_exceeded: The user has exceeded their autofill trial quota.
messagestringA human-readable description of what went wrong.
Example responses
In progress job
{"job": {"id": "450a76e7-f96f-43ae-9c37-0e1ce492ac72","status": "in_progress"}}
Successfully completed job
{"job": {"id": "450a76e7-f96f-43ae-9c37-0e1ce492ac72","status": "success","result": {"type": "create_design","design": {"id": "DAFVztcvd9z","title": "My summer holiday","url": "https://www.canva.com/design/DAFVztcvd9z/edit","urls": {"edit_url": "https://www.canva.com/api/ekimus8HTvsdf&/edit","view_url": "https://www.canva.com/api/eylPinTv358hYb8n1U4/view"},"thumbnail": {"width": 595,"height": 335,"url": "https://document-export.canva.com/Vczz9/zF9vzVtdADc/2/thumbnail/0001.png?<query-string>"},"created_at": 1586734043,"updated_at": 1586734043},"trial_information": {"uses_remaining": 2,"upgrade_url": "https://www.canva.com/enterprise/"}}}}
Failed job
{"job": {"id": "450a76e7-f96f-43ae-9c37-0e1ce492ac72","status": "failed","error": {"code": "autofill_error","message": "Error autofilling design from brand template"}}}
Error responses
403 Forbidden
codestringA short string indicating what failed. This field can be used to handle errors programmatically. For a complete list of error codes, see Error responses.
messagestringA human-readable description of what went wrong.
Example error response
The user does not have permission to access the design autofill job with the ID specified in the request.
{"code": "permission_denied","message": "Calling user was not the creator of the autofill job"}
404 Not Found
codestringA short string indicating what failed. This field can be used to handle errors programmatically. For a complete list of error codes, see Error responses.
messagestringA human-readable description of what went wrong.
Example error response
A design autofill job with the ID specified in the request could not be found.
{"code": "not_found","message": "Job {jobId} not found"}